{{page-title "Users"}}
<LinkTo type="button" class="btn btn-danger mx-5 mt-3" @route="users.user" @model={{@model.user_stub}}>
  ← Back
</LinkTo>
<div class="container">
  <h4 class="display-6 p-4">Admin Dashboard</h4>
  <div class="row p-3">
    <div class="col-md-12">
      <div class="card">
        <div class="card-body">
          {{!-- Table of Users --}}
          <div class="table-caption">
            <div>
              <h5 class="mb-0">Users</h5>
              <p>List of all the active users</p>
            </div>
            <div>
{{!--              <a type="button" href="addUser.jsp" class="btn btn-success mx-3">+ Add User</a>--}}
            </div>
          </div>
          <div class="table-responsive">
            <table class="table table-sm text-center">
              <thead>
              <tr>
                <th scope="col">S.No.</th>
                <th scope="col">Name</th>
                <th scope="col">Email</th>
                <th scope="col">Phone</th>
                <th scope="col">Gender</th>
                <th scope="col">Account Type</th>
                <th scope="col">Current Balance</th>
                <th scope="col">Transactions</th>
                <th scope="col">Delete User</th>
              </tr>
              </thead>
              <tbody>
              {{#each @model.users as |user idx|}}
                {{#unless user.is_admin}}
                  <tr>
                    <td>{{arithmetic idx 1 "sum"}}</td>
                    <td>{{user.name }}</td>
                    <td>{{user.email }}</td>
                    <td>{{user.phone }}</td>
                    <td>{{user.gender }}</td>
                    <td>{{user.account_type }}</td>
                    <td>{{user.balance }}</td>
                    <td>{{user.num_trans }}</td>
                    <a type="button" class="btn btn-sm btn-danger mx-1" {{action "deleteUser" user.user_stub on="click"}}>X</a>
                  </tr>
                {{/unless}}
              {{/each}}
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
{{outlet}}